/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: InitRootInfo.c /main/7 1995/07/14 11:16:55 drk $"
#endif
#endif
/***********************************************************************
        @(#)InitRootInfo.c	1.3.1.1     Date:1/22/91
  	Author: TAT
	History:
	   05/14/90 TAT Create
	Calls:

	Summary:
		This functions initializes the Root widget Info
                record. 
************************************************************************/

#define DECLARE_MVSLIB_GLOBALS_HERE 
#include "mvslib.h"

MvsWidgetInfoRecord *mvsInitRootWidgetInfo()
{
    static MvsWidgetClassInfo rootWidgetClassInfo = { 0 };

    mvsNumWidgetInfos = 1;

    mvsWidgetInfos[0].in_use = 1;
    mvsWidgetInfos[0].widget_class_info = (&rootWidgetClassInfo);
    mvsWidgetInfos[0].widget_class_info->proc_SetExpectedActions = NULL;
    mvsWidgetInfos[0].widget_class_info->proc_CreateWidget = NULL;
    mvsWidgetInfos[0].widget_class_info->proc_TestBehavior = NULL;
    mvsWidgetInfos[0].widget_class_info->resource_info = NULL;
    mvsWidgetInfos[0].first_child = NULL;
    mvsWidgetInfos[0].next_sibling = NULL;
    mvsWidgetInfos[0].parent = NULL;
    mvsWidgetInfos[0].widget = NULL;

    return (&mvsWidgetInfos[0]);

} /* End mvsInitRootInfo() */
