/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: StringCompar.c /main/7 1995/07/14 11:45:02 drk $"
#endif
#endif
/***********************************************************************
  	@(#)StringCompar.c	1.4.1.1	Date:1/22/91
  	Author: TAT
	History:
	   03/30/90 SJS Add to sccs tree
	Calls:

	Summary:
            Compare two strings in a case insensitive way.

            INPUTS
                str1 - 1st string
                str2 - 2nd string

            OUTPUTS
                none

            RETURNS
                0 if equal, >0 if str1 > str2, <0 if str1 < str2
************************************************************************/
#include "vislib.h"

int mvsStringCompare(str1,str2)
String str1,str2;
{
    char *p1, *p2;
 
    for (p1=str1, p2=str2; 
         *p1 && *p2 && tolower(*p1) == tolower(*p2);
         p1++, p2++);

    if (*p1 == *p2)
        return(0);
 
    if ((*p2 == 0) || (*p1 > *p2))
        return(1);
    else
        return(-1);

} /* End mvsStringCompare() */
