/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: AlocNumFrPix.c /main/7 1995/07/14 11:45:59 drk $"
#endif
#endif
/***********************************************************************
  	@(#)AlocNumFrPix.c	1.4.1.1	Date:1/22/91
  	Author: TAT
	History:
	   03/30/90 SJS Add to sccs tree
	Calls:

	Summary:
            Lookup the associated color allocation number given the pixel value.

        INPUTS
            pixel - the X colormap index (pixel) value

        OUTPUTS
            none
 
        RETURNS
            The index into the mvsColorAllocInfo table.
************************************************************************/

#include <AutoMessages.h>
#include "vislib.h"

int mvsAllocNumFromPixel(pixel)
Pixel pixel;
{
    int i;
    char msg_string[125];

    for(i=0; i<MAX_COLORS &&
       (mvsColorAllocInfo[i].alloc_cnt==0 || mvsColorAllocInfo[i].pixel!=pixel);
       i++);

    if (i == MAX_COLORS) {
        sprintf (msg_string, _AutoMessages[VISMSG21], pixel);
	AutoMessage(_AutoMessages[WARNMSG21]);
	AutoMessage(_AutoMessages[WARNMSG22]);
	i=0;
    }

    return(i);

} /* End mvsAllocNumFromPixel() */
