/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
/*   $XConsortium: Browse.h /main/8 1995/07/14 10:45:40 drk $ */

/********************************************************
 * Browse.h: Public header file for Browse Widget Class *
 ********************************************************/

#ifndef BROWSE_H
#define BROWSE_H

#include <Xm/Xm.h>

extern WidgetClass		browseWidgetClass;

extern Widget			XmCreateBrowse();

typedef struct _BrowseClassRec	*BrowseWidgetClass;
typedef struct _BrowseRec	*BrowseWidget;

/*
 * Define resource strings for the Browse widget
 */

#define XmNimages		"images"
#define XmNnumImages		"numImages"
#define XmNimageBackground	"imageBackground"
#define XmNimageForeground	"imageForeground"
#define XmNbuttonBackground	"buttonBackground"
#define XmNbuttonForeground	"buttonForeground"
#define XmNquitCallback		"quitCallback"

#define XmCImages		"Images"
#define XmCNumImages		"NumImages"

#endif /* BROWSE_H */
