/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
/*   $XConsortium: Text12.h /main/9 1995/07/13 19:27:14 drk $ */
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */

static char starting_string_text[] = "This is the starting string";

#ifndef	MOTIF1_1
#define NITEMS	 13
#else
#define NITEMS	 9
#endif	/* MOTIF1_1 */

#define	GetSelectionPosition	1
#define	GetSelection		2
#define	SetSelection		3
#define	ClearSelection		4
#define	Insert			5
#define	SetAddMode		6
#define	GetString		7
#define	SetString		8
#define	Replace			9

#ifndef	MOTIF1_1
#define	FindString		10
#define	GetSubstring		11
#define	DisableRedisplay	12
#define	EnableRedisplay		13
#endif	/* MOTIF1_1 */

/*  Global Variables  */

char *Textstrings[NITEMS] = {
	"XmTextGetSelectionPosition()",
	"XmTextGetSelection()",
	"XmTextSetSelection()",
	"XmTextClearSelection()",
	"XmTextInsert()",
	"XmTextSetAddMode()",
	"XmTextGetString()",
	"XmTextSetString()",
#ifndef	MOTIF1_1
	"XmTextReplace()",
	"XmTextFindString()",
	"XmTextGetSubstring()",
	"XmTextDisableRedisplay()",
	"XmTextEnableRedisplay()"
#else
	"XmTextReplace()"
#endif	/* MOTIF1_1 */
};

char *CSTextstrings[NITEMS] = {
	"XmCSTextGetSelectionPosition()",
	"XmCSTextGetSelection()",
	"XmCSTextSetSelection()",
	"XmCSTextClearSelection()",
	"XmCSTextInsert()",
	"XmCSTextSetAddMode()",
	"XmCSTextGetString()",
	"XmCSTextSetString()",
#ifndef	MOTIF1_1
	"XmCSTextReplace()",
	"XmCSTextFindString()",
	"XmCSTextGetSubstring()",
	"XmCSTextDisableRedisplay()",
	"XmCSTextEnableRedisplay()"
#else
	"XmCSTextReplace()"
#endif	/* MOTIF1_1 */
};

Widget	Scale1, Scale2;
Widget 	List1;
Widget 	Text1, StatText;
Widget	Label1, Label2, Label3, Label4, Label5;
Widget	Form;
Widget	ToggleB;
Widget 	ApplyB, ClearB;

static  int	function;
static  int	count = 0;
static  int 	scale1_val = 0;
static  int 	scale2_val = 0;
static  int    	position = 0;

static  Boolean	torf = True;

#ifndef	MOTIF1_1

Widget	Scale3, ToggleB2, Label6;
int	scale3_val = 0;
XmTextDirection	forb = XmTEXT_FORWARD;

#endif	/* MOTIF1_1 */


/*  Private Functions  */


static void  SSelCB_List1(Widget w, XtPointer client_data,
				        XtPointer call_data);
static void  MulSelCB_List2(Widget w, XtPointer client_data,
				     	XtPointer call_data);
static void  ApplyCB(Widget w, XtPointer client_data,
			       		XtPointer call_data);
static void  ClearCB(Widget w, XtPointer client_data,
			       		XtPointer call_data);
static void  Scale1CB(Widget w, XtPointer client_data,
			       		XtPointer call_data);
static void  Scale2CB(Widget w, XtPointer client_data,
			       		XtPointer call_data);
static void  TorFCB(Widget w, XtPointer client_data,
			       		XtPointer call_data);
#ifndef	MOTIF1_1
static void  Scale3CB(Widget w, XtPointer client_data,
			       		XtPointer call_data);
static void  ForBCB(Widget w, XtPointer client_data,
					XtPointer call_data);
#endif	/* MOTIF1_1 */

