/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
/*   $XConsortium: TextField1.h /main/9 1995/07/13 19:34:19 drk $ */
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */

static char starting_string_text[] = "This is the starting string";

#define NITEMS	 10

#define	GetEditable		1
#define	SetEditable		2
#define	GetMaxLength		3
#define	SetMaxLength		4
#define	GetLastPosition		5
#define	SetInsertionPosition	6
#define	GetBaseline		7
#define	XYToPos			8
#define	PosToXY			9

/*  Global Variables  */

char *Istrings[NITEMS] = {
	"XmTextFieldGetEditable()",
	"XmTextFieldSetEditable()",
	"XmTextFieldGetMaxLength()",
	"XmTextFieldSetMaxLength()",
	"XmTextFieldGetLastPosition()",
	"XmTextFieldSetInsertionPosition()",
	"XmTextFieldGetBaseline()",
	"XmTextFieldXYToPos()",
	"XmTextFieldPosToXY()",
};


Widget	  Scale1, Scale2;
Widget    List1;
Widget    TextF1, StatText;
Widget	  Label1, Label2, Label3, Label4, Label5;
Widget	  Form;
Widget	  ToggleB;
Widget 	  ApplyB, ClearB;

static int	  function;
static int	  count = 0;
static int 	  scale1_val = 0;
static int 	  scale2_val = 0;
static int       position = 0;

static Boolean	  torf = True;

/*  Private Functions  */


static void  SSelCB_List1(Widget w, XtPointer client_data,
			    	XtPointer call_data);
static void  MulSelCB_List2(Widget w, XtPointer client_data,
			     	XtPointer call_data);
static void  ApplyCB(Widget w, XtPointer client_data,
		       		XtPointer call_data);
static void  ClearCB(Widget w, XtPointer client_data,
		       		XtPointer call_data);
static void  Scale1CB(Widget w, XtPointer client_data,
		       		XtPointer call_data);
static void  Scale2CB(Widget w, XtPointer client_data,
		       		XtPointer call_data);
static void  TorFCB(Widget w, XtPointer client_data,
		       		XtPointer call_data);

