/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: MainWin2.c /main/9 1995/07/13 19:46:45 drk $"
#endif
#endif
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */
/************************************************************************
 *
 * Create a MainWindow, with a RowColumn button box as the command window
 *
 * Add a message area label widget
 *
 * change the command window location
 *
 ************************************************************************/

#include <signal.h>
#include <testlib.h>

void main (argc, argv)
unsigned int argc;
char **argv;
{
   Widget main_id;
   Widget bb_id;
   Widget label_id;
   Widget command_id;
   Widget rc_id;
   Widget pb1_id;
   Widget pb2_id;
   Widget pb3_id;
   Widget pb4_id;

   Arg args[10];
   int n;
   int i;

   CommonTestInit(argc, argv);
    
   n = 0;
   XtSetArg(args[n], XmNwidth, 400); 			n++;
   XtSetArg(args[n], XmNheight, 400);			n++;
   XtSetArg(args[n], XmNshowSeparator, True);		n++;
   XtSetArg(args[n], XmNcommandWindowLocation, XmCOMMAND_ABOVE_WORKSPACE); n++;
   main_id = XmCreateMainWindow(Shell1, "main", args, n);
   XtManageChild(main_id);

   n = 0;
   XtSetArg(args[n], XmNorientation, XmHORIZONTAL); 	n++;
   rc_id = XmCreateRowColumn(main_id, "rc", args, n);
   XtManageChild(rc_id);

   n = 0;
   pb1_id = XmCreatePushButton(rc_id, "pb1", args, n);
   XtManageChild(pb1_id);

   pb2_id = XmCreatePushButton(rc_id, "pb2", args, n);
   XtManageChild(pb2_id);

   pb3_id = XmCreatePushButton(rc_id, "pb3", args, n);
   XtManageChild(pb3_id);

   pb4_id = XmCreatePushButton(rc_id, "pb4", args, n);
   XtManageChild(pb4_id);

   n = 0;
   XtSetArg(args[n], XmNwidth, 300); 			n++;
   XtSetArg(args[n], XmNheight, 300); 			n++;
   bb_id = XmCreateBulletinBoard(main_id, "bb", args, n);
   XtManageChild(bb_id);

   /* test case for PIR 4140 */
   XmMainWindowSetAreas (main_id, NULL, rc_id, NULL, NULL, bb_id);

   XtRealizeWidget(Shell1);

   CommonPause();
   /* end of test case for PIR 4140 */

   label_id = XmCreateLabel(main_id, "Message Area", NULL, 0);
   XtManageChild(label_id);

   n = 0;
   XtSetArg(args[n], XmNmessageWindow, label_id); 	n++;
   XtSetValues(main_id, args, n);

   CommonPause();

   XtSetArg(args[n], XmNcommandWindowLocation, XmCOMMAND_BELOW_WORKSPACE); n++;
   XtSetValues(main_id, args, n);

   CommonPause();

   XtAppMainLoop(app_context);
}
