/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: mvsGetRscVal.c /main/7 1995/07/14 11:21:23 drk $"
#endif
#endif
/***********************************************************************
  	@(#)mvsGetRscVal.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/29/90 SJS add to sccs
	Calls:

	Summary:
            This function returns the current value of the requested
        resource. This value is obtained from the actual widget and
        is returned as an MvsArgVal type.
************************************************************************/

#include "mvslib.h"

MvsArgVal mvsGetResourceValue(widget, resource_name, type)
Widget widget;
String resource_name;
int type;
{
    Arg args[1];
    MvsArgVal value = 0;
   
    XtSetArg(args[0],resource_name,&value);
    XtGetValues(widget, args,1);

    value = mvsConvertToType(value, type);
    return(value);

} /* End mvsGetResourceValue() */
