/* $XConsortium: Targets.h /main/4 1995/07/15 21:04:01 drk $ */
/*
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/*
 * HISTORY
 */

/*******************************************************************************
 *
 * Targets.h: The widget public header file for the ExmTargets
 *                uniform transfer model demonstration widget.
 *
 ******************************************************************************/


/* Ensure that the file be included only once. */
#ifndef _ExmTargets_h
#define _ExmTargets_h


/* Allow for C++ compilation. */
#ifdef __cplusplus
extern "C" {
#endif


/* Include appropriate files. */
#include <Exm/String.h>  /* public header file for the ExmString widget */


/* Define the widget class and widget record. */
externalref WidgetClass exmTargetsWidgetClass;

typedef struct _ExmTargetsClassRec *ExmTargetsWidgetClass;
typedef struct _ExmTargetsRec *ExmTargetsWidget;


/* Define an IsSubclass macro. */
#ifndef ExmIsTargets
#define ExmIsTargets(w) XtIsSubclass(w, exmTargetsWidgetClass)
#endif


/* No string equivalents of new resource names. */


/* Specify the API for this widget. */
extern Widget ExmCreateTargets();


/* Allow for C++ compilation. */
#ifdef __cplusplus
} /* Close scope of 'extern "C"' declaration which encloses file. */
#endif


/* Ensure that the file be included only once. */
#endif /* _ExmTargets_h */
/* DON'T ADD ANYTHING AFTER THIS #endif */
