/* $XConsortium: XmeRedisplayGadgets.c /main/4 1995/07/15 21:05:02 drk $ */
/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */ 
/*
 * HISTORY
 */

#ifdef REV_INFO
#ifndef lint
static char rcsid[] = ""
#endif
#endif

#include <testlib.h>
#include <Xm/PushBG.h>
#include <Xm/RowColumn.h>
#include <Xm/XmosP.h>
#include <Xm/XmP.h>

void  main (argc, argv)
int argc;
char **argv;
{
  Boolean            trace = False;
  register int       n;
  int                status;
  Arg                args[MAX_ARGS];
  String             dirname;
  Widget             rc, g1, g2, g3, g4;
  Pixel              black;
  XEvent             event;
  Display            *display;
  Window             window;

  CommonTestInit(argc, argv);

  n = 0;
  XtSetArg(args[n], XmNwidth,  200);  n++;
  XtSetArg(args[n], XmNheight, 200);  n++;
  XtSetValues(Shell1, args, n);

  XtRealizeWidget(Shell1);

printf("creating widget\n");
  n = 0;
/*  black=BlackPixel(display, DefaultScreen(display));
  XtSetArg(args[n], XmNbackground, black);  n++;*/
  rc = XmCreateRowColumn(Shell1, "rc", args, n);

printf("creating gadgets\n");
  n = 0;
  g1 = XmCreatePushButtonGadget(rc, "Gadget1", args, n);
  g2 = XmCreatePushButtonGadget(rc, "Gadget2", args, n);
  g3 = XmCreatePushButtonGadget(rc, "Gadget3", args, n);
  g4 = XmCreatePushButtonGadget(rc, "Gadget4", args, n);

printf("managing widgets and gadgets\n");
  XtManageChild(rc);
  display = XtDisplay(Shell1);
  window = XtWindow(rc);
  XtManageChild(g1);
  XtManageChild(g2);
  XtManageChild(g3);
  XtManageChild(g4);
  CommonPause();

printf("clear the window\n");
  status = XClearWindow(display, window);
  if ( status == BadMatch)
    printf("ERROR: XClearWindow failed - BadMatch\n");
  else if ( status == BadWindow)
    printf("ERROR: XClearWindow failed - BadWindow\n");
  CommonPause();

printf("XmeRedisplayGadgets\n");
  event.type = Expose;
  event.xexpose.display = display;
  event.xexpose.window = window;
  event.xexpose.send_event = False;
  event.xexpose.x = 0;
  event.xexpose.y = 0;
  event.xexpose.width = 100;
  event.xexpose.height = 100;
  XmeRedisplayGadgets(rc, &event, NULL);
  CommonPause();

  CommonPause();	/* quit */
  XtAppMainLoop(app_context);
  XtDestroyWidget(Shell1);
}
