/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: PanedWin6.c /main/4 1995/07/13 19:07:23 drk $"
#endif
#endif
/*
*  (c) Copyright 1989, HEWLETT-PACKARD COMPANY */

#include <testlib.h>

/* Tests that multiple buttons in paned window are all */
/* created with the same height. */

void  main(argc, argv)
int     argc;
char  **argv;
{
    Boolean       	trace = False;
    register int  	n, i;
    Arg			args[MAX_ARGS];
    Widget		PW, PB1, PB2, PB3;
    
    CommonTestInit(argc, argv);
    
    n = 0;
    XtSetArg(args[n], XmNgeometry, "50x50+0+0");  n++;
    XtSetValues(Shell1, args, n); 
    XtRealizeWidget(Shell1);

    n = 0;
    PW = XmCreatePanedWindow(Shell1, "PW", args, n);
    XtManageChild (PW);

    
    n = 0;
    PB1 = XmCreatePushButton(PW, "PB1", args, n);
    XtManageChild(PB1);

    n=0;
    PB2 = XmCreatePushButton(PW, "PB2", args, n);
    XtManageChild(PB2);

    n=0;
    PB3 = XmCreatePushButton(PW, "PB3", args, n);
    XtManageChild(PB3);



    CommonPause();


    /* Begin test for CR 4886 */
   
    n=0;
    XtSetArg (args[n], XmNsashWidth, 30); n++;
    XtSetArg (args[n], XmNsashHeight, 30); n++;
    XtSetValues (PW, args, n);   

    /* End test for CR 4886 */

    CommonPause();
    
    XtAppMainLoop(app_context);
}



