/* $XConsortium: UTMtransfer.h /main/5 1995/07/15 21:12:25 drk $ */
/*
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/*
 * HISTORY
 */

#ifndef _Transfer_h
#define _Transfer_h

#include <Xm/TransferP.h>

/* Uncomment to use CSText for textfields.  Remember to also
   fix transfer.uil */
#define UseCSText 1 

typedef struct _transferdatarec {
  Atom          target;
  Atom          type;
  unsigned long length;
  int           format;
  XtPointer     value;
} TransferDataRec, *TransferData;

typedef enum { Mprimary, Msecondary, Mclipboard } TransferMode;

extern TransferMode Tmode;

extern Widget MainW, list, target, text1, text2, typeOM;
extern Widget OwnPrimLG, OwnSecLG;


extern void ListSelectItemCB(Widget w, XtPointer client_data, 
			     XtPointer call_data);
extern void SetTypeCB(Widget w, XtPointer client_data, XtPointer call_data);
extern void TargetDestinationCB(Widget w, XtPointer ignore, 
				XtPointer call_data);
extern void TargetConvertCB(Widget w, XtPointer ignore, 
				XtPointer call_data);
char *GetSafeAtom(Display *display, Atom a);
char *GetStringFrom(XtEnum operation);


#endif /* _Transfer_h */

