/* $XConsortium: MwmUI2.c /main/5 1995/07/15 21:14:06 drk $ */
/*
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/*
 * HISTORY
 */
#include <testlib.h>

void PushButtonCallback (Widget, XtPointer, XtPointer);

void 
main (unsigned int argc, char **argv)
{

	Widget TestShell1, TestShell2, TestShell3;
        Widget PB1, PB2;
        Widget Text1;
        Arg args[10];
        int n;
    
        CommonTestInit (argc, argv);
	XtRealizeWidget (Shell1);
	
        CommonPause();
   
        n=0;
        XtSetArg (args[n], XtNheight, 200);n++;
        XtSetArg (args[n], XtNwidth, 200);n++;
        TestShell1=XtCreatePopupShell("TestWindow1", 
				      topLevelShellWidgetClass,
				      Shell1,args,n);


        n=0;
        PB1 = XmCreatePushButton (TestShell1, "PB1", args, n);
        XtManageChild (PB1);

	XtPopup (TestShell1, XtGrabNone);


        CommonPause();


 
        n=0;
        XtSetArg (args[n], XtNheight, 200);n++;
        XtSetArg (args[n], XtNwidth, 200);n++;
        TestShell2=XtCreatePopupShell ("TestWindow2", 
				       topLevelShellWidgetClass,
				       Shell1,args,n);




        
        n=0;
        PB2 = XmCreatePushButton (TestShell2, "PB2", args, n);
        XtManageChild(PB2);
        XtAddCallback (PB2, XmNactivateCallback, PushButtonCallback, NULL);
         
	XtPopup(TestShell2, XtGrabNone);

    
        CommonPause();
        CommonPause();
        CommonPause();


        n=0;
        XtSetArg (args[n], XmNheight, 200);n++;
        XtSetArg (args[n], XmNwidth, 200);n++;
        TestShell3=XtCreatePopupShell ("TestWindow3",
				       topLevelShellWidgetClass,
				       Shell1, args,n);




        /* for CR 3117 */
        n=0;
        Text1 = XmCreateText (TestShell3, "Text1", args, n);
        XtManageChild(Text1);

         
	XtPopup (TestShell3, XtGrabNone);

        CommonPause(); 
        CommonPause();      
        
       	XtAppMainLoop(app_context);

}

void
PushButtonCallback (Widget w, XtPointer client_data, XtPointer call_data)
{
    fprintf (stdout, "The button press event has been passed to the client\n");
}
